Initialize public-private key pair
curl --request POST \
--url https://api-sandbox.orum.io/webhooks/secret \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/webhooks/secret"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/webhooks/secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enterprise_keypair": {
"id": "<string>",
"enterprise_name": "<string>",
"public_key": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Secure webhooks
Initialize Public-Private Key Pair
POST
/
webhooks
/
secret
Initialize public-private key pair
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I